tvbrowser.ui.mainframe.toolbar

## Class ToolBar

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JToolBar
        - - tvbrowser.ui.mainframe.toolbar.ToolBar

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.SwingConstants

      public class ToolBar
      extends javax.swing.JToolBar

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JToolBar

      `javax.swing.JToolBar.AccessibleJToolBar, javax.swing.JToolBar.Separator`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTION_ID_KEY`
    `static java.lang.String` | `ACTION_IS_SELECTED`
    `static java.lang.String` | `ACTION_TYPE_KEY`
    `static java.lang.String` | `ACTION_VALUE`
    `static int` | `BUTTON_ACTION` toolbar button with standard click behavior
    `protected static int` | `GLUE`
    `protected static int` | `SEPARATOR`
    `protected static int` | `SPACE`
    `static int` | `STYLE_ICON`
    `static int` | `STYLE_TEXT`
    `protected static java.awt.Font` | `TEXT_FONT`
    `static int` | `TOOGLE_BUTTON_ACTION` toolbar button with toggle behavior (i.e. on/off state)

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolBar(ToolBarModel model, javax.swing.JLabel statusLabel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dateChanged(Date date, ProgressMonitor monitor, java.lang.Runnable callback)`
    `void` | `disableForDragAndDrop(ToolBarDragAndDropSettings s, boolean west)` Set up the ToolBar for Drag'n'Drop.
    `int` | `getStyle()`
    `java.lang.String` | `getToolbarLocation()`
    `protected void` | `paintComponent(java.awt.Graphics g)`
    `void` | `setBorder(javax.swing.border.Border b)`
    `void` | `setLayout(java.awt.LayoutManager manager)`
    `void` | `setStyle(int style)`
    `void` | `setToolbarLocation(java.lang.String location)`
    `void` | `setUseBigIcons(boolean arg)`
    `void` | `showPopupMenu(TVBrowserAction tvBrowserAction)`
    `void` | `storeSettings()`
    `void` | `update()`
    `void` | `updatePersona()`
    `void` | `updatePluginButtons()`
    `void` | `updateTimeButtons()`
    `void` | `updateUI()`
    `void` | `updateUpdateButton(boolean showStopButton)`
    `boolean` | `useBigIcons()`

    - ### Methods inherited from class javax.swing.JToolBar

      `add, addImpl, addSeparator, addSeparator, createActionChangeListener, createActionComponent, getAccessibleContext, getComponentAtIndex, getComponentIndex, getMargin, getOrientation, getUI, getUIClassID, isBorderPainted, isFloatable, isRollover, paintBorder, paramString, setBorderPainted, setFloatable, setMargin, setOrientation, setRollover, setUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_VALUE

          public static final java.lang.String ACTION_VALUE

      See Also:
        Constant Field Values

    - #### ACTION_TYPE_KEY

          public static final java.lang.String ACTION_TYPE_KEY

      See Also:
        Constant Field Values

    - #### ACTION_ID_KEY

          public static final java.lang.String ACTION_ID_KEY

      See Also:
        Constant Field Values

    - #### ACTION_IS_SELECTED

          public static final java.lang.String ACTION_IS_SELECTED

      See Also:
        Constant Field Values

    - #### BUTTON_ACTION

          public static final int BUTTON_ACTION

      toolbar button with standard click behavior
      See Also:
        Constant Field Values

    - #### TOOGLE_BUTTON_ACTION

          public static final int TOOGLE_BUTTON_ACTION

      toolbar button with toggle behavior (i.e. on/off state)
      See Also:
        Constant Field Values

    - #### SEPARATOR

          protected static final int SEPARATOR

      See Also:
        Constant Field Values

    - #### SPACE

          protected static final int SPACE

      See Also:
        Constant Field Values

    - #### GLUE

          protected static final int GLUE

      See Also:
        Constant Field Values

    - #### STYLE_TEXT

          public static final int STYLE_TEXT

      See Also:
        Constant Field Values

    - #### STYLE_ICON

          public static final int STYLE_ICON

      See Also:
        Constant Field Values

    - #### TEXT_FONT

          protected static final java.awt.Font TEXT_FONT

  - ### Constructor Detail

    - #### ToolBar

          public ToolBar(ToolBarModel model,
                 javax.swing.JLabel statusLabel)

  - ### Method Detail

    - #### updatePluginButtons

          public void updatePluginButtons()

    - #### updateTimeButtons

          public void updateTimeButtons()

    - #### updateUpdateButton

          public void updateUpdateButton(boolean showStopButton)

    - #### update

          public void update()

    - #### updateUI

          public void updateUI()

      Overrides:
        `updateUI` in class `javax.swing.JToolBar`

    - #### setBorder

          public void setBorder(javax.swing.border.Border b)

      Overrides:
        `setBorder` in class `javax.swing.JComponent`

    - #### setLayout

          public void setLayout(java.awt.LayoutManager manager)

      Overrides:
        `setLayout` in class `javax.swing.JToolBar`

    - #### disableForDragAndDrop

          public void disableForDragAndDrop(ToolBarDragAndDropSettings s,
                                   boolean west)

      Set up the ToolBar for Drag'n'Drop.
      Parameters:
        `s` - The Drag'n'Drop Class.
        `west` - The toolbar is shown in the west.

    - #### setStyle

          public void setStyle(int style)

    - #### getStyle

          public int getStyle()

    - #### storeSettings

          public void storeSettings()

    - #### setToolbarLocation

          public void setToolbarLocation(java.lang.String location)

    - #### getToolbarLocation

          public java.lang.String getToolbarLocation()

    - #### setUseBigIcons

          public void setUseBigIcons(boolean arg)

    - #### useBigIcons

          public boolean useBigIcons()

    - #### dateChanged

          public void dateChanged(Date date,
                         ProgressMonitor monitor,
                         java.lang.Runnable callback)

    - #### showPopupMenu

          public void showPopupMenu(TVBrowserAction tvBrowserAction)

    - #### updatePersona

          public void updatePersona()

    - #### paintComponent

          protected void paintComponent(java.awt.Graphics g)

      Overrides:
        `paintComponent` in class `javax.swing.JComponent`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)